/**
 * Copyright (c) The openTCS Authors.
 *
 * This program is free software and subject to the MIT license. (For details,
 * see the licensing information (LICENSE.txt) you should have received with
 * this copy of the software.)
 */
package org.opentcs.data.model;

/**
 * Defines some constants used for plant models.
 *
 * @author Martin Grzenia (Fraunhofer IML)
 */
public interface ModelConstants {

  /**
   * The default name for the visual layout.
   */
  String DEFAULT_VISUAL_LAYOUT_NAME = "VLayout";
  /**
   * The name of the default layer.
   */
  String DEFAULT_LAYER_NAME = "Default layer";
  /**
   * The ID of the default layer.
   */
  int DEFAULT_LAYER_ID = 0;
  /**
   * The ordinal of the default layer.
   */
  int DEFAULT_LAYER_ORDINAL = 0;
  /**
   * The name of the default layer group.
   */
  String DEFAULT_LAYER_GROUP_NAME = "Default layer group";
  /**
   * The ID of the default layer group.
   */
  int DEFAULT_LAYER_GROUP_ID = 0;
}
